Bug 837692 - [ovirt-engine-backend] Can not take snapshot for a VM when quota is enabled
[ovirt-engine-backend] Can not take snapshot for a VM when quota is enabled
Status: CLOSED WORKSFORME
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
unspecified
x86_64 Linux
urgent Severity unspecified
: ---
: ---
Assigned To: Gilad Chaplik
sla
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-04 15:57 EDT by Kiril Nesenko
Modified: 2016-02-10 15:16 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-07-12 03:23:54 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (493.88 KB, application/x-bzip)
2012-07-04 15:57 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-07-04 15:57:09 EDT
Created attachment 596282 [details]
logs

Description of problem:
 Can not take live snapshot for a VM

2012-07-04 22:47:52,974 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (ajp-/0.0.0.0:8009-9) [29c19252] START, GetImageInfoVDSCommand(storagePoolId = f676692b-e860-44b8-844e-edd7f42e34de, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = d88e9418-8408-4701-a79e-8b99c901aaaa, imageGroupId = c28adef0-ed81-4b5e-9b09-bc68fd960a9a, imageId = c9e85a17-f025-42a0-bfc2-0df9111b7f4f), log id: 50bf3bc1
2012-07-04 22:47:53,264 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (ajp-/0.0.0.0:8009-9) [29c19252] FINISH, GetImageInfoVDSCommand, return: org.ovirt.engine.core.common.businessentities.DiskImage@28c53b4d, log id: 50bf3bc1
2012-07-04 22:47:53,266 WARN  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp-/0.0.0.0:8009-9) [29c19252] CanDoAction of action CreateAllSnapshotsFromVm failed. Reasons:ACTION_TYPE_FAILED_QUOTA_IS_NOT_VALID
2012-07-04 22:47:53,266 INFO  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp-/0.0.0.0:8009-9) [29c19252] Lock freed to object EngineLock [exclusiveLocks= key: 67ef2fdd-7b31-48bc-afdf-2004fbb9ea30 value: VM
, sharedLocks= ]




Version-Release number of selected component (if applicable):
si9.1

How reproducible:
Always

Steps to Reproduce:
1. Try to take a live snapshot for a vm
2.
3.
  
Actual results:
snapshot fails

Expected results:


Additional info:
tested on iscsi domain
Comment 1 Kiril Nesenko 2012-07-04 16:03:06 EDT
Fails for a regular snapshot too. Seems like its the same issue.

2012-07-04 23:00:26,741 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] START, IsValidVDSCommand(storagePoolId = f676692b-e860-44b8-844e-edd7f42e34de, ignoreFailoverLimit = false, compatabilityVersion = null), log id: 45e65ff3
2012-07-04 23:00:26,742 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.IsValidVDSCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] FINISH, IsValidVDSCommand, return: true, log id: 45e65ff3
2012-07-04 23:00:26,750 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] START, GetImageInfoVDSCommand(storagePoolId = f676692b-e860-44b8-844e-edd7f42e34de, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = d88e9418-8408-4701-a79e-8b99c901aaaa, imageGroupId = 8db876fb-7ce7-4420-8a56-07ef6637493a, imageId = bd224c89-fb6e-458b-bf19-a62cc51bf190), log id: 4dcc66cf
2012-07-04 23:00:27,053 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] FINISH, GetImageInfoVDSCommand, return: org.ovirt.engine.core.common.businessentities.DiskImage@822523c, log id: 4dcc66cf
2012-07-04 23:00:27,053 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] START, GetImageInfoVDSCommand(storagePoolId = f676692b-e860-44b8-844e-edd7f42e34de, ignoreFailoverLimit = false, compatabilityVersion = null, storageDomainId = d88e9418-8408-4701-a79e-8b99c901aaaa, imageGroupId = c28adef0-ed81-4b5e-9b09-bc68fd960a9a, imageId = c9e85a17-f025-42a0-bfc2-0df9111b7f4f), log id: 790ae37e
2012-07-04 23:00:27,351 INFO  [org.ovirt.engine.core.vdsbroker.irsbroker.GetImageInfoVDSCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] FINISH, GetImageInfoVDSCommand, return: org.ovirt.engine.core.common.businessentities.DiskImage@28c53b4d, log id: 790ae37e
2012-07-04 23:00:27,352 WARN  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] CanDoAction of action CreateAllSnapshotsFromVm failed. Reasons:ACTION_TYPE_FAILED_QUOTA_IS_NOT_VALID
2012-07-04 23:00:27,352 INFO  [org.ovirt.engine.core.bll.CreateAllSnapshotsFromVmCommand] (ajp-/0.0.0.0:8009-9) [68dc24db] Lock freed to object EngineLock [exclusiveLocks= key: 67ef2fdd-7b31-48bc-afdf-2004fbb9ea30 value: VM
, sharedLocks= ]
Comment 2 Kiril Nesenko 2012-07-04 16:13:08 EDT
Issue happens when working with quota enabled. Disabling the quota solves the issue.
Comment 3 Kiril Nesenko 2012-07-12 03:23:54 EDT
Can not reproduce it on si10.
Closing

Note You need to log in before you can comment on or make changes to this bug.